<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100169";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3

////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
	  <!-- Inicia Cuerpo de la Pantalla -->
		<?PHP
			//////Arrastrando campos
			$NoComplePG=$_POST['txt_NDOC'] or $NoComplePG=$_GET['txt_NDOC'];
			
			////Validar Campos en Blanco
			if ($NoComplePG=="")
			{ ////Inicia If General - Detección de Documento en blanco
			echo "<script>alert('Favor de Digitar el Numero de Documento a Recibir');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CR1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			} ////Termina If General - Detección de Documento en blanco
			else
			{ ////Inicia Else If General - Detección de Documento en blanco
			
				////Identificar Datos Generales del Documento de Recibo
				$sqlIP1 = mysql_query("select * from tabla_documentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'");
				if (mysql_numrows($sqlIP1)==0) echo "";
				else{
				$registroIP1=mysql_fetch_array($sqlIP1);
				}
				if (mysql_numrows($sqlIP1)>0)
				{
				$NDocumentoIP1=$registroIP1["NO_DOCUMENTO"];
				$EdoDocIDR1=$registroIP1["ESTADO_DOCUMENTO"];
				$TiEntrIP1=$registroIP1["TIPODEINGRESO"];
				$VigeIDR1=$registroIP1["VIGENCIA"];
				}
				
				////Identificar El estado del Documento
				////if ($EdoDocIDR1<>"ASOCIADO" and $EdoDocIDR1<>"RECIBIENDO")
				if ($EdoDocIDR1<>"RECIBIDO")
				{
					echo "<script>alert('El Estado del Documento de Recibo no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CR1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de estado del Documento
				
					//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$FechaLts=date("Ymd");	
				
					////Identificar La caducidad de Documento
					if ($VigeIDR1<$Fecha)
					{
						echo "<script>alert('El Documento de Recibo ha Caducado.\\nFavor de Corroborarlo.'); </script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CR1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
					}
					else
					{ //// Inicia If Valiador de Caducidad Documento



	/////////////////////TODO EL CODIGO DEL PROCESO//////////////////////////
		$NoDocCompleEn = $NoComplePG;
					  
		$sql = "SELECT    tabla_recibo.ID, tabla_recibo.NO_DOCUMENTO, tabla_recibo.NO_DOC_COMPLE, tabla_recibo.SKU, tabla_recibo.SKU_ALT, tabla_recibo.DESCRIPCION, tabla_recibo.CANT_RECIBIDA, tabla_recibo.LOTE, tabla_recibo.LOTEWMS, tabla_recibo.LOTEPRODU, tabla_recibo.CADUCIDAD,tabla_recibo.NO_FACTURA,tabla_recibo.PIEZASXCAJA, tabla_recibo.CAJASXPALLET, tabla_recibo.EDO_CALIDAD, tabla_recibo.UBICACION, tabla_documentos.PROVEEDOR FROM  tabla_documentos INNER JOIN tabla_recibo ON tabla_documentos.NO_DOC_COMPLE = tabla_recibo.NO_DOC_COMPLE where tabla_recibo.NO_DOC_COMPLE='$NoDocCompleEn'  AND tabla_recibo.CVE_CUENTA='$CveCueCR1' AND tabla_recibo.CVE_BODEGA='$CveBodCR1' ORDER BY ID  ASC";
			$RDA = mysql_query($sql);
		if(mysql_numrows($RDA)==0){
			$sql = "SELECT tabla_detalledocumentos.ID, tabla_detalledocumentos.NO_DOCUMENTO, tabla_detalledocumentos.NO_DOC_COMPLE, tabla_detalledocumentos.SKU, tabla_detalledocumentos.SKU AS SKU_ALT,tabla_detalledocumentos.DESCRIPCION, tabla_detalledocumentos.CANT_XRECIBIR AS CANT_RECIBIDA, '' AS LOTE, '' AS LOTEWMS, '' AS LOTEPRODU, '' AS CADUCIDAD, tabla_detalledocumentos.NO_FACTURA, tabla_detalledocumentos.EDO_CALIDAD, tabla_detalledocumentos.UBICACION, tabla_altaproducto.PZASXCAJA AS PIEZASXCAJA, tabla_altaproducto.CAJAXPALLET AS CAJASXPALLET, tabla_documentos.PROVEEDOR FROM tabla_detalledocumentoS INNER JOIN tabla_documentos ON tabla_documentos.NO_DOCUMENTO = tabla_detalledocumentos.NO_DOCUMENTO AND tabla_documentos.CVE_BODEGA = tabla_detalledocumentos.CVE_BODEGA AND tabla_documentos.CVE_CUENTA = tabla_detalledocumentos.CVE_CUENTA INNER JOIN tabla_altaproducto ON tabla_altaproducto.SKU = tabla_detalledocumentos.SKU AND tabla_altaproducto.CVE_BODEGA = tabla_detalledocumentos.CVE_BODEGA AND tabla_altaproducto.CUENTA = tabla_detalledocumentos.CVE_CUENTA WHERE tabla_detalledocumentos.NO_DOCUMENTO='$NoDocCompleEn' AND tabla_detalledocumentos.CVE_CUENTA='$CveCueCR1' AND tabla_detalledocumentos.CVE_BODEGA='$CveBodCR1' ORDER BY tabla_detalledocumentos.ID ASC ";
			}
		
		$res=mysql_query($sql) or die('Error en la consulta: '.mysql_error());
							
		if (mysql_numrows($res)==0) 
		{
		echo "<script>alert('ADVERTENCIA:\\n\\nDocumento sin Recibo.');</script>";
		}
		
	/////////////////HORA y FECHA/////////////////////////////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			/////$FechaOk=date("d/m/Y");
			$FechaOk=date("Y/m/d");
			
			$FechaPallet=date("Ymd");
	/////////////////FIN HORA y FECHA/////////////////////////
			
		While($row = mysql_fetch_array($res,MYSQL_ASSOC))
			{
			$NoDocC=$row["NO_DOCUMENTO"];
			$SkuC=$row["SKU"];
			$SkuAltC=$row["SKU_ALT"];
			$DescripC=$row["DESCRIPCION"];			
			$CanReciC=$row["CANT_RECIBIDA"];
			$LoteC=$row["LOTE"];
			$LoteWmsC=$row["LOTEWMS"];
			$LoteProC=$row["LOTEPRODU"];
			$CaduC=$row["CADUCIDAD"];
			$NoFacC=$row["NO_FACTURA"];
			$PiXCajaC=$row["PIEZASXCAJA"];
			$CaXPallC=$row["CAJASXPALLET"];
			$ProvC=$row["PROVEEDOR"];
			$ECaNePrC=$row["EDO_CALIDAD"];
			$UbiNePrC=$row["UBICACION"];
			
			////Reasignando Valores
			$UbicacionInicial = $UbiNePrC;
			$EdoCalidadInicial = $ECaNePrC;
			
			
			$PiezasXCaja=$PiXCajaC;
			$CajasXPallet=$CaXPallC;

			$PiezasXPallet=$PiezasXCaja * $CajasXPallet;

			$CantidadRecibida=$CanReciC;

			$Divicion=$CantidadRecibida/$PiezasXPallet;
			$resto=$CantidadRecibida%$PiezasXPallet;

		////////////////////////////////////////////////////////
			$a=$Divicion; 
			$Decimal=$a-(int)$a; 
		///////////////////////////////////////////////////////		

			if ($resto=="0")
				{
				
				$Entero=$Divicion - $Decimal;

				$PiezasXPalletsEnteros=$Entero*$PiezasXPallet;

				$ArmadoFinal=$Entero. " pallets de ".$PiezasXPallet." piezas";
			////////////////////////////////////////////////////////////////////////////////////////////////////////////
				$TotPiezasArmado=$PiezasXPalletsEnteros + $PiezazXDecimal;

	////////////////GUADRADO EN LA BASE DE DATOS LOS REGISTROS //////////////////////////////////////
				$ContadorDePaso="0";
				While($ContadorDePaso<$Entero)
					{
					$ContadorDePaso=$ContadorDePaso+1;	
					/////$FechaOk=date("d/m/Y");
					$FechaOk=date("Y/m/d");
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					/////////Identificar Parametrizaciones de Recibo
					////$sqlIDE2 = mysql_query("select wms_configura_recibo.*,tabla_ubicaciones.TIPODEUBICACION from wms_configura_recibo INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CLAVEUBICACION = wms_configura_recibo.CVE_UBICACION WHERE wms_configura_recibo.CVE_CUENTA='$CveCueCR1'");
					////if (mysql_numrows($sqlIDE2)==0) echo "";
					////else{
					////$registroIDE2=mysql_fetch_array($sqlIDE2);
					////}
					////if (mysql_numrows($sqlIDE2)>0)
					////{
					////$UbicacionInicial=$registroIDE2["CVE_UBICACION"];
					////$EdoCalidadInicial=$registroIDE2["CVE_ESTADOCALIDAD"];
					////$tipoub=$registroIDE2["TIPODEUBICACION"];
					////}
					
					/////////Identificar Parametrizaciones de Recibo
					$sqlIDE2 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE2)==0) echo "";
					else{
					$registroIDE2=mysql_fetch_array($sqlIDE2);
					}
					if (mysql_numrows($sqlIDE2)>0)
					{
					$tipoub=$registroIDE2["TIPODEUBICACION"];
					}
					
					/////////Identificar la Prioridad de Surtido de la Ubicacion de Recibo
					$sqlIDE3 = mysql_query("select * from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE3)==0) echo "";
					else{
					$registroIDE3=mysql_fetch_array($sqlIDE3);
					}
					if (mysql_numrows($sqlIDE3)>0)
					{
					$PrioriUR=$registroIDE3["PRIORIDAD"];
					}
					
			///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DE LA CLAVE DEL PALLET DEL PALLET///////////
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
				
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
				
					/////$UbicacionInicial="100-1-1-1";
					/////$EdoCalidadInicial="D";
					
		///////GENERADOR DE FOLIO TABLA DE INVENTARIOS///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
				
		//////GUARDAR EL LA BD EL INVENTARIO//////////
					$FechaEnt=date("Y/m/d");
					$HoraAta=time();
					$HoraAlta=date("H:i:s",$HoraAta);
					
					$sql = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$tipoub',
'$id_nuevo',$CveBodCR1','$CveCueCR1','$NoDocC','$NoDocCompleEn','$SkuC','$SkuAltC','$DescripC','$FechaEnt','$PiezasXPallet','$LoteC','$LoteWmsC','$LoteProC','$CaduC','$NoFacC','$ProvC','$PiXCajaC','$CaXPallC','$ArmadoFinal','$ClavePallet','$UbicacionInicial','$PrioriUR','$EdoCalidadInicial','$UsuEn','$HoraAlta','$FechaOk')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
				
	//////******************************************************************************************************************************************//////	
		///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DEL PALLET///////////
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
		//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO DE PALLET//////////
					$sql = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocC','$ClavePallet','$FechaPallet')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
	//////******************************************************************************************************************************************//////	
	
		//////////GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////
					$EdoNewMod="CERRADO";
					$FechaDCOk=date("Y/m/d");
					$sql="UPDATE tabla_documentos SET FECHA_CIE='$FechaDCOk',HORA_CIE='$HoraOK',ESTADO_DOCUMENTO='$EdoNewMod' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'";
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
		//////FIN GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////	
		
		//////////GUARDA Y ALTERA LA TABLA - KARDEX////////////////////////////////	
		
		///////GENERADOR DE FOLIO PARA GUARDAR EL KARDEX///////////
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					$NombreMovimiento="RECIBO";
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SkuC','$SkuAltC','$NoDocC','$NombreMovimiento','$UbicacionInicial','$ClavePallet','$PiezasXPallet','$FechaEnt','$HoraOK','$UsuEn')";
					
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
		//////FIN GUARDA Y ALTERA LA TABLA - KARDEX///////////////////////////////				
					
					}////Termina While de Guardado
				}///////////////////////////////CIERRE DE CONDICION
			else
				{///////////////////////////////ABRE CONDICION 
				$Entero=$Divicion - $Decimal;

				$PiezasXPalletsEnteros=$Entero*$PiezasXPallet;

				$ArmadoFinal=$Entero. " pallets de ".$PiezasXPallet." piezas";
			////////////////////////////////////////////////////////////////////////////////////////////////////////////
				$PalletDecimalUnico="1";
				$PiezazXDecimal=$Decimal * $PiezasXPallet;

				$TotPiezasArmado=$PiezasXPalletsEnteros + $PiezazXDecimal;

				////////////////GUADRADO EN LA BASE DE DATOS LOS REGISTROS //////////////////////////////////////
				$ContadorDePaso="0";
				While($ContadorDePaso<$Entero)
					{
					$ContadorDePaso=$ContadorDePaso+1;	
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
										
					/////////Identificar Parametrizaciones de Recibo
					////$sqlIDE2 = mysql_query("select wms_configura_recibo.*,tabla_ubicaciones.TIPODEUBICACION from wms_configura_recibo INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CLAVEUBICACION = wms_configura_recibo.CVE_UBICACION WHERE wms_configura_recibo.CVE_CUENTA='$CveCueCR1'");
					////if (mysql_numrows($sqlIDE2)==0) echo "";
					////else{
					////$registroIDE2=mysql_fetch_array($sqlIDE2);
					////}
					////if (mysql_numrows($sqlIDE2)>0)
					////{
					////$UbicacionInicial=$registroIDE2["CVE_UBICACION"];
					////$EdoCalidadInicial=$registroIDE2["CVE_ESTADOCALIDAD"];
					////$tipoub=$registroIDE2["TIPODEUBICACION"];
					////}
					
					/////////Identificar Parametrizaciones de Recibo
					$sqlIDE2 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE2)==0) echo "";
					else{
					$registroIDE2=mysql_fetch_array($sqlIDE2);
					}
					if (mysql_numrows($sqlIDE2)>0)
					{
					$tipoub=$registroIDE2["TIPODEUBICACION"];
					}
					
					/////////Identificar la Prioridad de Surtido de la Ubicacion de Recibo
					$sqlIDE3 = mysql_query("select * from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE3)==0) echo "";
					else{
					$registroIDE3=mysql_fetch_array($sqlIDE3);
					}
					if (mysql_numrows($sqlIDE3)>0)
					{
					$PrioriUR=$registroIDE3["PRIORIDAD"];
					}

					///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DE LA CLAVE DEL PALLET DEL PALLET///////////
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
				
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
				
					/////$UbicacionInicial="100-1-1-1";
					/////$EdoCalidadInicial="D";
					
		///////GENERADOR DE FOLIO TABLA DE INVENTARIOS///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
				
		//////GUARDAR EL LA BD EL INVENTARIO//////////
					$FechaEnt=date("Y/m/d");
					$HoraAta=time();
					$HoraAlta=date("H:i:s",$HoraAta);
					
					$sql = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$tipoub','$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocC','$NoDocCompleEn','$SkuC','$SkuAltC','$DescripC','$FechaEnt','$PiezasXPallet','$LoteC','$LoteWmsC','$LoteProC','$CaduC','$NoFacC','$ProvC','$PiXCajaC','$CaXPallC','$ArmadoFinal','$ClavePallet','$UbicacionInicial','$PrioriUR','$EdoCalidadInicial','$UsuEn','$HoraAlta','$FechaOk')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
				
	//////******************************************************************************************************************************************//////	
		///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DEL PALLET///////////
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
		//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO DE PALLET//////////
					$sql = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocC','$ClavePallet','$FechaPallet')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
	//////******************************************************************************************************************************************//////
	
		//////////GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////
					$EdoNewMod="CERRADO";
					$FechaDCOk=date("Y/m/d");
					$sql="UPDATE tabla_documentos SET FECHA_CIE='$FechaDCOk',HORA_CIE='$HoraOK',ESTADO_DOCUMENTO='$EdoNewMod' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'";
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
		//////FIN GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////	
			
		//////////GUARDA Y ALTERA LA TABLA - KARDEX////////////////////////////////	
		
		///////GENERADOR DE FOLIO PARA GUARDAR EL KARDEX///////////
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					$NombreMovimiento="RECIBO";
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SkuC','$SkuAltC','$NoDocC','$NombreMovimiento','$UbicacionInicial','$ClavePallet','$PiezasXPallet','$FechaEnt','$HoraOK','$UsuEn')";
					
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
		//////FIN GUARDA Y ALTERA LA TABLA - KARDEX///////////////////////////////	

					}
////Aqui Raro					
				$ArmadoFinalUnico=$PalletDecimalUnico." pallet de ".$PiezazXDecimal;
				
				/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					/////////Identificar Parametrizaciones de Recibo
					////$sqlIDE2 = mysql_query("select wms_configura_recibo.*,tabla_ubicaciones.TIPODEUBICACION from wms_configura_recibo INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CLAVEUBICACION = wms_configura_recibo.CVE_UBICACION WHERE wms_configura_recibo.CVE_CUENTA='$CveCueCR1'");
					////if (mysql_numrows($sqlIDE2)==0) echo "";
					////else{
					////$registroIDE2=mysql_fetch_array($sqlIDE2);
					////}
					////if (mysql_numrows($sqlIDE2)>0)
					////{
					////$UbicacionInicial=$registroIDE2["CVE_UBICACION"];
					////$EdoCalidadInicial=$registroIDE2["CVE_ESTADOCALIDAD"];
					////$tipoub=$registroIDE2["TIPODEUBICACION"];
					////}
					
					/////////Identificar Parametrizaciones de Recibo
					$sqlIDE2 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE2)==0) echo "";
					else{
					$registroIDE2=mysql_fetch_array($sqlIDE2);
					}
					if (mysql_numrows($sqlIDE2)>0)
					{
					$tipoub=$registroIDE2["TIPODEUBICACION"];
					}
					
					/////////Identificar la Prioridad de Surtido de la Ubicacion de Recibo
					$sqlIDE3 = mysql_query("select * from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE3)==0) echo "";
					else{
					$registroIDE3=mysql_fetch_array($sqlIDE3);
					}
					if (mysql_numrows($sqlIDE3)>0)
					{
					$PrioriUR=$registroIDE3["PRIORIDAD"];
					}
				
				///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DE LA CLAVE DEL PALLET DEL PALLET///////////
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
				
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
				
					/////$UbicacionInicial="100-1-1-1";
					/////$EdoCalidadInicial="D";
					
		///////GENERADOR DE FOLIO TABLA DE INVENTARIOS///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
				
		//////GUARDAR EL LA BD EL INVENTARIO//////////
					$FechaEnt=date("Y/m/d");
					$HoraAta=time();
					$HoraAlta=date("H:i:s",$HoraAta);
					
					$sql = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$tipoub','$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocC','$NoDocCompleEn','$SkuC','$SkuAltC','$DescripC','$FechaEnt','$PiezazXDecimal','$LoteC','$LoteWmsC','$LoteProC','$CaduC','$NoFacC','$ProvC','$PiXCajaC','$CaXPallC','$ArmadoFinalUnico','$ClavePallet','$UbicacionInicial','$PrioriUR','$EdoCalidadInicial','$UsuEn','$HoraAlta','$FechaOk')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
				
	//////******************************************************************************************************************************************//////	
		///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DEL PALLET///////////
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
		//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO DE PALLET//////////
					$sql = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocC','$ClavePallet','$FechaPallet')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
	//////******************************************************************************************************************************************//////	

		//////////GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////
					$EdoNewMod="CERRADO";
					$FechaDCOk=date("Y/m/d");
					$sql="UPDATE tabla_documentos SET FECHA_CIE='$FechaDCOk',HORA_CIE='$HoraOK',ESTADO_DOCUMENTO='$EdoNewMod' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'";
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
		//////FIN GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////	
		
		//////////GUARDA Y ALTERA LA TABLA - KARDEX////////////////////////////////	
		
		///////GENERADOR DE FOLIO PARA GUARDAR EL KARDEX///////////
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					$NombreMovimiento="RECIBO";
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SkuC','$SkuAltC','$NoDocC','$NombreMovimiento','$UbicacionInicial','$ClavePallet','$PiezazXDecimal','$FechaEnt','$HoraOK','$UsuEn')";
					
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
		//////FIN GUARDA Y ALTERA LA TABLA - KARDEX///////////////////////////////	
					
			}//Termina el ELSE de la segunda condicion

		
		}//Termina While de Consulta de Codigos
			
		/////////////////FIN TODO EL CODIGO DEL PROCESO//////////////////////////
		
//// Inicia Cambio de Estado al No.Documento de Surtido en la tabla_asociaanden////
		$sqlAMD3="UPDATE tabla_asociaanden SET ESTADO_DOCUMENTO ='CERRADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocCompleEn'";
		$resultadoAMD3=mysql_query($sqlAMD3,$conexion) or die(mysql_error());
		
//// Elimina el Anden utilizado en el Surtido - en otras Palabras Desasocia el Anden Usado////	
		$sql_RA = mysql_query("select * from tabla_asociaanden WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocCompleEn'");
		if (mysql_numrows($sql_RA)==0) echo "";
		else{
		$registro_RA=mysql_fetch_array($sql_RA);
		}
		if (mysql_numrows($sql_RA)>0)
		{
		$Anden_RA=$registro_RA["NO_ANDEN"];
		}	
		
		$sqlEU= "DELETE FROM tabla_andenesocupacion WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocCompleEn' AND NO_ANDEN='$Anden_RA'";
		$resultadoEU=mysql_query($sqlEU,$conexion) or die(mysql_error());		

////Confirmación y Direccionamiento
echo "<script>alert('DOCUMENTO RECIBIDO Y CERRADO CORRECTAMENTE');</script>";

		///##################################################################################///
		///			INICIA PROCESO EXCLUSIVO DE IBERMEX
				
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					
					///Configuramos conexión
					$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
					mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
					
					///Guardamos el registro en la base de Datos de Interfaces WMS to DMS
					$sql_GMI = "insert into confirma_recibos (CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,CHEC,HORA,FECHA,USUARIO)
				        values('$CveBodCR1','$CveCueCR1','$NoDocCompleEn','0','$HoraOK','$Fecha','$UsuEn')";
					$resultado_GMI=mysql_query($sql_GMI,$con_BDInt) or die(mysql_error());
					
		///			TERMINA PROCESO EXCLUSIVO DE IBERMEX
		///##################################################################################///

echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-MenuReciboPreClasifica.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

	
					} //// Termina If Valiador de Caducidad Documento
				} //// Termina If Valiador de estado del Documento
			}////Termina Else If General - Detección de Documento en blanco

		?>
      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
